routes/web.php
<?php

Route::post('/2fa', function () {
    return redirect(URL()->previous());
})->name('2fa')->middleware('2fa');

Route::get('2fa', function () {
   return redirect('home');
});

Route::get('google2fa', 'Auth\LoginController@google2fa')->name('google2fa');

Route::get('/', 'Auth\LoginController@showLoginForm');

Auth::routes();

Route::get('success/register', 'Auth\RegisterController@showSuccessRegister')->name('success.register');

Route::group([
    'middleware' => ['2fa', 'auth']
], function () {
    Route::get('/home', 'HomeController@index')->name('home');
    Route::get('/series/{id}', 'SeriesController@index')->name('series');
    Route::get('/video/{id}', 'VideoController@index')->name('video');
    Route::post('/approvo/video', 'VideoController@approvo')->name('approvo.video');

    Route::post('/add/comment', 'VideoController@addComment')->name('add.comment');
    Route::put('/edit/comment', 'VideoController@editComment')->name('edit.comment');
    Route::delete('/delete/comment', 'VideoController@deleteComment')->name('delete.comment');
});

Route::group([
    'prefix'    => config('admin.admin_url'),
    'as'        => 'admin.',
    'namespace' => 'Admin\Auth'
], function () {
    Route::get('/login', 'LoginController@showLoginForm')->name('show.login')->middleware('admin.login');
    Route::post('/login', 'LoginController@login')->name('login');
    Route::post('/logout', 'LoginController@logout')->name('logout');
});

Route::group([
    'middleware' => ['admin'],
    'prefix'     => config('admin.admin_url'),
    'as'         => 'admin.',
    'namespace'  => 'Admin'
], function () {
    Route::get('/', 'UserRequestController@index')->name('dashboard');
    Route::post('change/user/status', 'UserRequestController@changeUserStatus')->name('change.user.status');

    Route::get('users', 'UsersController@index')->name('users');

    Route::put('user/change/permission', 'UsersController@changePermission')->name('user.change.permission');
    Route::put('user/change/active/status', 'UsersController@changeActiveStatus')->name('user.change.active.status');
    Route::delete('user/delete', 'UsersController@deleteUser')->name('user.delete');
    Route::put('edit/user', 'UsersController@editUser')->name('edit.user');

    Route::get('get/team/list', 'TeamsController@getTeamList')->name('get.team.list');
    Route::post('add/team/user', 'TeamsController@addUser')->name('add.team.user');
    Route::post('add/team', 'TeamsController@addTeam')->name('add.team');
    Route::put('edit/team', 'TeamsController@editTeam')->name('add.team');
    Route::delete('delete/team/user', 'TeamsController@DeleteUser')->name('delete.team.user');
    Route::delete('delete/team', 'TeamsController@deleteTeam')->name('delete.team');

    Route::get('tree', 'TreeController@index')->name('tree');
    Route::post('video/group', 'TreeController@videoGroup')->name('video.group');
});

resources/views/admin/layouts/login-layout.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <div class="header">
            <a class="header__logo" href="{{ url('/admin') }}">
                <img src="{{ asset('image/logo.png') }}" alt="bit" class="header__img">
            </a>
        </div>
        <div class="container">
            @yield('content')
        </div>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>
</body>
</html>

resources/views/admin/layouts/main.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
<div id="app">
    <div class="admin-header__menu">
        <div class="admin-header">
            <div class="admin-header__item">
                <ul>
                    <li class="admin-header__list {{ request()->is('admin') ? 'admin-header__list--active' : '' }}">
                        <a href="{{ route('admin.dashboard') }}">request</a>
                    </li>
                    <li class="admin-header__list {{ request()->is('admin/users') ? 'admin-header__list--active' : '' }}">
                        <a href="{{ route('admin.users') }}">users</a>
                    </li>
                    <li class="admin-header__list {{ request()->is('admin/tree') ? 'admin-header__list--active' : '' }}">
                        <a href="{{ route('admin.tree') }}">screeners</a>
                    </li>
                    <li class="admin-header__list">
                        <a href="#">activity</a>
                    </li>
                </ul>
            </div>

            <div class="admin-header__item">
                <div class="input">
                    <input type="text" class="input__text"/>
                    <i class="fa fa-search" aria-hidden="true"></i>
                </div>
            </div>
        </div>
    </div>



    <div class="admin-container">
        @yield('content')
    </div>
</div>
<!-- Scripts -->
<script src="{{ asset('js/app.js') }}"></script>
</body>
</html>